openni::SensorInfo Class Reference

`#include <OpenNI.h>`

## Public Member Functions

SensorType | getSensorType () const
const Array< VideoMode > & | getSupportedVideoModes () const

## Friends

class | Device
class | VideoStream

## Detailed Description

The SensorInfo class encapsulates all info related to a specific sensor in a specific device.
A Device object holds a SensorInfo object for each sensor it contains. A VideoStream object holds one SensorInfo object, describing the sensor used to produce that stream.

A given SensorInfo object will contain the type of the sensor (Depth, IR or Color), and a list of all video modes that the sensor can support. Each available video mode will have a single VideoMode object that can be queried to get the details of that mode.

SensorInfo objects should be the only source of VideoMode objects for the vast majority of application programs.

Application programs will never directly instantiate objects of type SensorInfo. In fact, no public constructors are provided. SensorInfo objects should be obtained either from a Device or VideoStream, and in turn be used to provide available video modes for that sensor.

## Member Function Documentation

## getSensorType()

SensorType openni::SensorInfo::getSensorType | ( |  | ) | const

inline

Provides the sensor type of the sensor this object is associated with.

Returns
  Type of the sensor.

## getSupportedVideoModes()

const Array< VideoMode > & openni::SensorInfo::getSupportedVideoModes | ( |  | ) | const

inline

Provides a list of video modes that this sensor can support. This function is the recommended method to be used by applications to obtain VideoMode objects.

Returns
  Reference to an array of VideoMode objects, one for each supported video mode.

## Friends And Related Symbol Documentation

## Device

friend class Device

friend

## VideoStream

friend class VideoStream

friend

The documentation for this class was generated from the following file:

- OpenNI.h